<?php

namespace web\admin\datasse;

class index {
    static function sse_demo($senddata, $sendevent) {
        global $db;
        $rsuser = verifyfast();
        if (nopower($db, $rsuser['id'], 'p610r'))
            return errjson('您未被授权操作');
        //多参数建议用strparam
        //SSE支持data、type、id。其中type为空或fix。id可选，可作为另一种数据。
        $param = get('param');
        $senddata('param: ' . $param);
        for ($i = 0; $i < 100; $i++) {
            if ($i % 10 == 1)
                $senddata('ssr: ' . $i . "\n\n", $i);
            $sendevent($i);
            usleep(50000);
        }
        //$senddata('log: ' . json_encode($row, JSON_UNESCAPED_UNICODE));
        $sendevent('ok');
    }
}
